CEGUI Logo
This issue tracker is now in read-only mode. We migrated all our old bug reports to our bitbucket issue tracker
Please use our new issue tracker to report bugs. You can easily find all mantis tickets on our new issue tracker by selecting the appropriate bitbucket repo (CEGUI/CEED/Silly) and searching for the mantis ticket ID number.

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000315CEGUICore library (CEGUIBase)public2009-10-19 10:242010-02-21 19:30
ReporterCrazyEddie 
Assigned ToCrazyEddie 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.7.2Fixed in VersionMercurial: default branch 
Summary0000315: Add option to scrollbar such that it will maintain it's bottom / right most position.
DescriptionSee: http://www.cegui.org.uk/phpBB2/viewtopic.php?f=2&t=4415 [^]

Basically, it may be useful in many scenarios for a scrollbar to automatically maintain it's farthest position when the scrollbar config is updated in such a way that the 'document' gets larger.

The setting would only have effect if the thumb is already at the farthest location, under other circumstances the existing behaviour will prevail (preserve the absolute scroll position).
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000415)
CrazyEddie (administrator)
2010-02-21 19:22

This has been implemented in branches/v0-7 @ r2440.

Adds functions:
    void Scrollbar::setEndModeEnabled(const float);
    bool Scrollbar::isEndModeEnabled() const;

Adds property:
    "EndModeEnabled"
(0000416)
CrazyEddie (administrator)
2010-02-21 19:30

Bah - typos!

Functions are: setEndLockEnabled and isEndLockEnabled
Propety is: "EndLockEnabled"

- Issue History
Date Modified Username Field Change
2009-10-19 10:24 CrazyEddie New Issue
2010-02-19 19:52 CrazyEddie Status new => assigned
2010-02-19 19:52 CrazyEddie Assigned To => CrazyEddie
2010-02-21 19:22 CrazyEddie Note Added: 0000415
2010-02-21 19:22 CrazyEddie Status assigned => resolved
2010-02-21 19:22 CrazyEddie Fixed in Version 0.8.3 => Mercurial: default branch
2010-02-21 19:22 CrazyEddie Resolution open => fixed
2010-02-21 19:30 CrazyEddie Note Added: 0000416
Get Crazy Eddies GUI System at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker